ubuntuusers.de

Upgrade Lucid auf Precise

Archivierte Anleitung

Dieser Artikel wurde archiviert. Das bedeutet, dass er nicht mehr auf Richtigkeit überprüft oder anderweitig gepflegt wird. Der Inhalt wurde für keine aktuell unterstützte Ubuntu-Version getestet. Wenn du Gründe für eine Wiederherstellung siehst, melde dich bitte in der Diskussion zum Artikel. Bis dahin bleibt die Seite für weitere Änderungen gesperrt.

Zum Verständnis dieses Artikels sind folgende Seiten hilfreich:

Bei „normalen“ Ubuntu-Versionen ist ein Upgrade nur auf die nächst höhere Version möglich, ein Sprung über zwei oder mehr Versionen funktioniert hingegen nicht. Eine sehr wichtige Ausnahme gibt es allerdings: Es ist möglich – und sinnvoll – ein Distributions-Upgrade von einer LTS-Version auf die nächste durchzuführen, ohne die drei dazwischen liegenden Versionen zu installieren. Das gilt auch für den Versionssprung von Ubuntu 10.04 auf Ubuntu 12.04.

Das Upgrade LTS zu LTS wurde am 24.08.2012 mit dem Erscheinen des ersten Point-Releases, also 12.04.1, freigegeben.

Standardmäßig kommt in Ubuntu 12.04 die neue Benutzeroberfläche Unity zum Einsatz. Andere Varianten wie Kubuntu, Xubuntu oder Lubuntu sind davon nicht betroffen.Wer auf Unity verzichten kann, interessiert sich evtl. für den Artikel Archiv/GNOME3 Fallback-Modus, um den Desktop optisch weitgehend wie unter 10.04 zu gestalten.

Vorbereitung

Achtung!

Es ist aktuell nicht bekannt, wie sich das Upgrade verhält, wenn man Software aus Fremdquellen installiert hat. Es sei an dieser Stelle daher ausdrücklich darauf hingewiesen, dass dieser Artikel bisher nur auf Systemen getestet ist, auf denen ausschließlich Original Ubuntu-Quellen aktiviert sind!

Ferner muss beachtet werden, dass zwischen 10.04 und 12.04 zahlreiche neuere Versionen des Linux-Kernels und proprietärer Treiber erschienen sind. Es kann daher sein, dass die Unterstützung älterer- und/oder exotischer Hardware entfernt wurde. Folglich empfiehlt sich vor einem Upgrade die Kompatibilität der neuen Version zu überprüfen – bspw. mit einer Live-CD. Zur Installation auf Non-PAE-Systemen siehe Ubuntu 12.04 ohne PAE installieren. Ab Ubuntu 14.04 ist die Boot-Option force=pae verfügbar, die das Problem teilweise entschärft.

Zuerst sollte man sicherstellen, dass das System auf dem neuesten Stand ist. Wichtig ist, dass das Paket

  • update-manager-core

installiert ist. Anschließend ist das System für das Distributions-Upgrade vorbereitet.

Distributions-Upgrade durchführen

Jetzt führt man folgenden Befehl aus:

gksudo update-manager --proposed 

Dann erscheint eine Meldung

Neue Version 12.04 der Distribution ist verfügbar

Die Aktualisierung beginnt man mit einem Klick auf "Aktualisieren". Danach erscheint ein Fenster mit der Freigabemitteilung, dort startet man mit einem Klick auf "System aktualisieren" das Upgrade. Das Hinweisfenster "Die Unterstützung für einige Anwendungen wurde eingestellt" kann man schließen. Jetzt erscheint noch ein Fenster "Möchten Sie die Systemaktualisierung starten?" und man kann dann mit einem Klick auf "Systemaktualisierung beginnen" die Aktualisierung endgültig starten. Im Zuge des Upgrades werden vorhandene Paketquellen in der Datei sources.list automatisch bearbeitet (umbenennen von lucid in precise).

Es werden so gut wie alle Pakete ausgetauscht, entsprechend groß ist der Download. Es kann sein, dass (deutlich) mehr als 1400 Pakete neu geladen werden. Ansonsten unterscheidet sich der weitere Ablauf nicht von einem normalen Upgrade der Distribution.

Upgrade der Ubuntu-Server-Variante

Vor dem Upgrade auf eine neue Version muss man sicherstellen, dass das System auf dem neusten Stand ist:

sudo apt-get update                        # aktualisiert die Paketquellen
sudo apt-get dist-upgrade                  # aktualisieren der Pakete 

Danach installiert [1] man das Programm:

  • update-manager-core

Nun muss die Datei /etc/update-manager/release-upgrades mit einem Editor mit Root-Rechten [4] bearbeitet werden. In dieser Datei wird definiert, ob der Update-Manager nur LTS-Versionen von Ubuntu beachten soll oder alle Versionen. Ubuntu 10.04 ist eine LTS-Version, daher muss die Datei wie folgt geändert werden:

[DEFAULT]
# default prompting behavior, valid options:
#  never  - never prompt for a new distribution version
#  normal - prompt if a new version of the distribution is available
#  lts    - prompt only if a LTS version of the distribution is available
Prompt=lts

Danach wird das Upgrade mit folgendem Befehl gestartet:

sudo do-release-upgrade 

Sollte der Server hinter einem Proxy stehen, der eine Authentifizierung benötigt, reicht die Angabe des Proxys und der Zugangsdaten in /etc/apt/apt.conf nicht aus. Dann muss der Befehl so aussehen.

sudo http_proxy="user:pw@server:port" do-release-upgrade 

user, pw, server und port sind durch entsprechende Werte zu ersetzen.

Ab jetzt muss man nur noch den Anweisungen auf dem Bildschirm folgen. Vorsicht ist angesagt, wenn Meldungen kommen, die die Konfigurationen der einzelnen Systeme ändern. Man sollte jede Konfiguration prüfen und entweder die neue Version akzeptieren oder die eigene Version der Konfigurationsdatei behalten. Man informiert sich am besten vorher mit Hilfe der Ubuntu Server Release Notes 🇬🇧, welche Änderungen an den Serverpaketen beim Distributions-Upgrade durchgeführt werden.

Problembehebung

Das ISO-Abbild aus den ersten Wochen nach Erscheinen von Precise kann beim Installieren mit dem Hinweis "Lösche inkompatible Systemdateien" hängen bleiben. Die Benutzung der aktuellen ISO-Datei funktioniert einwandfrei.

Verschlüsselte Systeme

Ein sehr häufiger Grund für ein Scheitern des Upgrades bei vollverschlüsselten Systemen ist eine zu kleine /boot-Partition. Man sollte daher vorher unbedingt prüfen, ob mindestens 100 MiB freier Speicherplatz auf dieser Partition zur Verfügung stehen. Wenn keine separate Partition für /boot vorhanden ist, tritt das Problem im Regelfall nicht auf.

Diese Revision wurde am 4. Mai 2017 23:01 von Heinrich_Schwietering erstellt.
Die folgenden Schlagworte wurden dem Artikel zugewiesen: System, Installation, Paketverwaltung